%define name	opengroupware-theme
%define version 1.0
%define cvs     20030721
%define release %{cvs}.1mdk

Summary:     OpenGroupware.org Themes
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL: http://www.opengroupware.org
Group:       Networking/Other
Prefix:      %{_libdir}/opengroupware.org
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env, opengroupware-logic opengroupware-webui-libs, opengroupware-webui-common
Source:      opengroupware.org-theme-%{cvs}.tar.bz2

BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel
Requires:  opengroupware-gstep-make opengroupware-gstep-make-devel
BuildRequires: gcc-objc

BuildArch: noarch

%description
This package contains the OpenGroupware.org themes.

%package default-en
Summary:  The Opengroupware.org default theme (English)
Group:    Networking/Other
Requires: opengroupware-gstep-make


%description default-en
The Opengroupware.org default theme (English)

%package default-de
Summary:  The Opengroupware.org default theme (German)
Group:    Networking/Other
Requires: opengroupware-gstep-make


%description default-de
The Opengroupware.org default theme (German)


%prep

%setup -q -n opengroupware.org-theme

%build

%install
rm -fr ${RPM_BUILD_ROOT}

source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I

mkdir -p $I
cp -r WebServerResources $I

rm -f $I/WebServerResources/GNUmakefile \
   $I/WebServerResources/WOStats.xsl \
   $I/WebServerResources/menu.js

%files default-en
%defattr(-,root,root,-)
%dir %{prefix}/WebServerResources
%{prefix}/WebServerResources/English.lproj

%files default-de
%defattr(-,root,root,-)
%dir %{prefix}/WebServerResources
%{prefix}/WebServerResources/German.lproj


%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Wed Sep 17 2003 Austin Acton <aacton@yorku.ca> 1.0-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

